gen_new_estimator
Prev | Generic Network Statistics | Next

## Name

gen_new_estimator — create a new rate estimator

## Synopsis

`int gen_new_estimator (` | struct gnet_stats_basic * | bstats,
| struct gnet_stats_rate_est * | rate_est,
| spinlock_t * | stats_lock,
| struct rtattr * | opt`)`;

## Arguments

`bstats`

  basic statistics

`rate_est`

  rate estimator statistics

`stats_lock`

  statistics lock

`opt`

  rate estimator configuration TLV

## Description

Creates a new rate estimator with &bstats as source and &rate_est as destination. A new timer with the interval specified in the configuration TLV is created. Upon each interval, the latest statistics will be read from &bstats and the estimated rate will be stored in &rate_est with the statistics lock grabed during this period.

Returns 0 on success or a negative error code.

## NOTE

Called under rtnl_mutex

Prev | Up | Next
gnet_stats_finish_copy | Home | gen_kill_estimator